Package io.github.jdbcx.impl

# Class DefaultDriverExtension

java.lang.Object
io.github.jdbcx.impl.DefaultDriverExtension

All Implemented Interfaces:
  `DriverExtension`

public final class DefaultDriverExtension extends Object implements DriverExtension

## Method Summary

Modifier and Type
Method
Description
`static final DriverExtension`
`getInstance()`
`List<Option>`
`getOptions(Properties props)`
Gets options available for this extension.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.github.jdbcx.DriverExtension

`createListener, getConfig, getDefaultConfig, getDefaultOptions`

## Method Details

### getInstance

public static final DriverExtension getInstance()

### getOptions

public List<Option> getOptions(Properties props)
Description copied from interface: `DriverExtension`
Gets options available for this extension.

Specified by:
  `getOptions` in interface `DriverExtension`
Parameters:
  `props` - optional connection properties, could be null
Returns:
  non-null options for this extension